[PATCH] osmo-ci[master]: Add script for fetching BTS-specific L1 headers

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Max gerrit-no-reply at lists.osmocom.org
Mon Jun 12 17:00:04 UTC 2017


Add script for fetching BTS-specific L1 headers

Several of the supported BTS models require hw-specific L1 headers for
compilation which are stored in separate repository. Instead of
copy-pasting code which obtains those header for each BTS it's better to
create separate script.

Change-Id: I840533d5bf9233822bc0534a25c252f1cab0a7b0
Related: SYS#3682
---
A scripts/osmo-layer1-headers.sh
1 file changed, 47 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/93/2893/2

diff --git a/scripts/osmo-layer1-headers.sh b/scripts/osmo-layer1-headers.sh
new file mode 100755
index 0000000..0f3b6c8
--- /dev/null
+++ b/scripts/osmo-layer1-headers.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# -e: fail if any of the subsequent commands fail
+# -x: trace each executed command via debug log
+set -e -x
+
+# Usage:
+# ./osmo-layer1-headers.sh sysmo superfemto_v5.1
+# where 'sysmo' is BTS type and 'superfemto_v5.1' is version specifier (tag or branch for git reset)
+# 2nd parameter is optional and defaults to latest master branch
+
+case "$1" in
+    sysmo)
+	uri="git://git.sysmocom.de/sysmo-bts/layer1-api"
+	version="origin/master"
+	;;
+    oct)
+	uri="git://git.osmocom.org/octphy-2g-headers"
+	version="origin/master"
+	;;
+    lc15)
+	uri="https://gitlab.com/nrw_litecell15/litecell15-fw"
+	version="nrw/litecell15-next"
+	;;
+    *)
+	echo "Unknown BTS model '$1'"
+	# we assume that unknown BTS model do not require L1 headers
+	exit 0
+	;;
+esac
+
+# if 2nd parameter was specified and it's not 'master' than use it instead of default
+if [ -n "$2" ]
+   if [ $2 != "master" ];
+   then
+       version=$2
+   fi
+fi
+
+if ! test -d layer1-headers;
+then
+    git clone $uri layer1-headers
+fi
+
+cd layer1-headers
+git fetch origin
+git reset --hard $version

-- 
To view, visit https://gerrit.osmocom.org/2893
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newpatchset
Gerrit-Change-Id: I840533d5bf9233822bc0534a25c252f1cab0a7b0
Gerrit-PatchSet: 2
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Owner: Max <msuraev at sysmocom.de>
Gerrit-Reviewer: neels <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list